Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Constants | Inherited Constants | Methods | Inherited Methods | [Expand All]
public interface

# Participant

implements Parcelable Freezable<T>

com.google.android.gms.games.multiplayer.Participant

Known Indirect Subclasses
ParticipantEntity

ParticipantEntity | Data object representing a Participant in a match.

## Class Overview

Data interface for multiplayer participants.

## Summary

Constants
int | STATUS_DECLINED | Constant indicating that this participant has declined the invitation.
int | STATUS_FINISHED | Constant indicating that this participant is finished with this match.
int | STATUS_INVITED | Constant indicating that this participant has been sent an invitation.
int | STATUS_JOINED | Constant indicating that this participant has accepted the invitation and is joined.
int | STATUS_LEFT | Constant indicating that this participant joined a multiplayer game and subsequently left.
int | STATUS_NOT_INVITED_YET | Constant indicating that this participant has not yet been sent an invitation.
int | STATUS_UNRESPONSIVE | Constant indicating that this participant did not respond to the match in the alloted time.

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Public Methods
abstract String | getDisplayName() Return the name to display for this participant.
abstract void | getDisplayName(CharArrayBuffer dataOut) Loads the display name for this participant into the provided `CharArrayBuffer`.
abstract Uri | getHiResImageUri() Returns the URI of the hi-res image to display for this participant.
abstract Uri | getIconImageUri() Returns the URI of the icon-sized image to display for this participant.
abstract String | getParticipantId() Returns the ID of this participant.
abstract Player | getPlayer() Returns the `Player` that this participant represents.
abstract ParticipantResult | getResult() Returns the `ParticipantResult` associated with this participant, if any.
abstract int | getStatus() Retrieve the status of this participant.
abstract boolean | isConnectedToRoom() Retrieves the connected status of the participant.

[Expand] Inherited Methods

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Constants

#### public static final int STATUS_DECLINED

Constant indicating that this participant has declined the invitation.

Constant Value: 3 (0x00000003)

#### public static final int STATUS_FINISHED

Constant indicating that this participant is finished with this match. Only applies to turn-based match participants.

Constant Value: 5 (0x00000005)

#### public static final int STATUS_INVITED

Constant indicating that this participant has been sent an invitation.

Constant Value: 1 (0x00000001)

#### public static final int STATUS_JOINED

Constant indicating that this participant has accepted the invitation and is joined.

Constant Value: 2 (0x00000002)

#### public static final int STATUS_LEFT

Constant indicating that this participant joined a multiplayer game and subsequently left.

Constant Value: 4 (0x00000004)

#### public static final int STATUS_NOT_INVITED_YET

Constant indicating that this participant has not yet been sent an invitation. Only applies to turn-based match participants.

Constant Value: 0 (0x00000000)

#### public static final int STATUS_UNRESPONSIVE

Constant indicating that this participant did not respond to the match in the alloted time. Only applies to turn-based match participants.

Constant Value: 6 (0x00000006)

## Public Methods

#### public abstract String getDisplayName ()

Return the name to display for this participant. If the identity of the player is unknown, this will be a generic handle to describe the player.

##### Returns

- Display name of the participant.

#### public abstract void getDisplayName (CharArrayBuffer dataOut)

Loads the display name for this participant into the provided `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public abstract Uri getHiResImageUri ()

Returns the URI of the hi-res image to display for this participant. If the identity of the player is unknown, this will be null. It may also be null if the player simply has no image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The URI of the hi-res image to display for this participant.

#### public abstract Uri getIconImageUri ()

Returns the URI of the icon-sized image to display for this participant. If the identity of the player is unknown, this will be the automatch avatar icon image for the player. It may also be null if the player simply has no image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The URI of the icon image to display for this participant.

#### public abstract String getParticipantId ()

Returns the ID of this participant. Note that this is only valid for use in the current multiplayer room or match: a participant will not have the same ID across multiple rooms or matches.

##### Returns

- The ID of this participant.

#### public abstract Player getPlayer ()

Returns the `Player` that this participant represents. Note that this may be null if the identity of the player is unknown. This occurs in automatching scenarios where some players are not permitted to see the real identity of others.

##### Returns

- The `Player` corresponding to this participant.

#### public abstract ParticipantResult getResult ()

Returns the `ParticipantResult` associated with this participant, if any. Only applies to turn-based match participants.

##### Returns

- The `ParticipantResult` for this participant, or null if not applicable.

#### public abstract int getStatus ()

Retrieve the status of this participant.

Possible status values for room participants are `STATUS_INVITED`, `STATUS_JOINED`, `STATUS_DECLINED`, and `STATUS_LEFT`.

Possible status values for turn-based match participants are all of the above, `STATUS_NOT_INVITED_YET`, `STATUS_FINISHED`, and `STATUS_UNRESPONSIVE`.

##### Returns

- Status of this participant.

#### public abstract boolean isConnectedToRoom ()

Retrieves the connected status of the participant. If true indicates that participant is in the connected set of the room. Only applies to room participants.

##### Returns

- Connected status of the participant.